Releases endpoints
GET /api/v1/projects/{project_id}/releases
Section titled “GET /api/v1/projects/{project_id}/releases”List Releases
| Parameter | In | Type | Required | Notes |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes | |
environment |
query | string or null | no | max length 64, pattern ^[^\x00]*$ |
from |
query | string (date-time) or null | no | |
to |
query | string (date-time) or null | no |
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | application/json: array of ReleaseStats |
| 422 | Validation Error | application/json: HTTPValidationError |
GET /api/v1/projects/{project_id}/releases/compare
Section titled “GET /api/v1/projects/{project_id}/releases/compare”Compare Releases
| Parameter | In | Type | Required | Notes |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes | |
a |
query | string | yes | min length 1, max length 128, pattern ^[^\x00]*$ |
b |
query | string | yes | min length 1, max length 128, pattern ^[^\x00]*$ |
environment |
query | string or null | no | max length 64, pattern ^[^\x00]*$ |
from |
query | string (date-time) or null | no | |
to |
query | string (date-time) or null | no |
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | application/json: Comparison |
| 422 | Validation Error | application/json: HTTPValidationError |
GET /api/v1/projects/{project_id}/releases/failure-categories
Section titled “GET /api/v1/projects/{project_id}/releases/failure-categories”Failure Category Rates
The rate of each failure category per release, with Wilson 95 % bounds, over the traces a
person reviewed. 404 NOT_FOUND until the project has a failure_category score config.
| Parameter | In | Type | Required | Notes |
|---|---|---|---|---|
project_id |
path | string (uuid) | yes | |
environment |
query | string or null | no | max length 64, pattern ^[^\x00]*$ |
from |
query | string (date-time) or null | no | |
to |
query | string (date-time) or null | no |
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | application/json: FailureCategoriesOut |
| 422 | Validation Error | application/json: HTTPValidationError |